Multivariate Pattern Analysis in Python

# mvpa2.base.dataset

Multi-purpose dataset container with support for attributes.

Functions

`all_equal`(x, y) | General function that compares two values.
`datasetmethod`(func) | Decorator to easily bind functions to an AttrDataset class
`hstack`(datasets[, a, sa]) | Stacks datasets horizontally (appending features).
`save`(dataset, destination[, name, compression]) | Save Dataset into HDF5 file
`split_by_feature_attribute`(ds, fa_label[, …]) | Splits a dataset based on unique values of a feature attribute
`split_by_sample_attribute`(ds, sa_label[, …]) | Splits a dataset based on unique values of a sample attribute
`stack_by_unique_feature_attribute`(dataset, …) | Performs vstack based on unique values in fa_label
`stack_by_unique_sample_attribute`(dataset, …) | Performs hstack based on unique values in sa_label
`vstack`(datasets[, a, fa]) | Stacks datasets vertically (appending samples).

Classes

`AttrDataset`(samples[, sa, fa, a]) | Generic storage class for datasets with multiple attributes.
`DAE` | alias of `DatasetAttributeExtractor`
`DatasetAttributeExtractor`(col, key) | Helper to extract arbitrary attributes from dataset collections.

Exceptions

`AttrDataset`(samples[, sa, fa, a]) | Generic storage class for datasets with multiple attributes.
`DAE` | alias of `DatasetAttributeExtractor`
`DatasetAttributeExtractor`(col, key) | Helper to extract arbitrary attributes from dataset collections.